%define name	luola
%define version	1.2.7
%define release	1mdk
%define Summary	Fly a small V shaped ship in a 2D arcade game

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.saunalahti.fi/~laakkon1/linux/luola/bin/%{name}-%{version}.tar.bz2
Source1:	%{name}.stdlevels.tar.bz2
Source2:	%{name}.demolevel.tar.bz2
License:	GPL
Group:		Games/Arcade
URL:		http://www.saunalahti.fi/~laakkon1/linux/luola/index.php
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	ImageMagick SDL-devel SDL_image-devel SDL_mixer-devel

%description
Luola is a 2D arcade game where you fly a small V shaped ship in different
kinds of levels. It's genre "Luolalentely" (Cave-flying) is (or was) very
popular in Finland. Though cavern-flying games are not originally
Finnish, nowdays most of them are.

%prep
%setup -q
tar -jxf %{SOURCE1} -C data/levels
tar -jxf %{SOURCE2} -C data/levels
mv data/levels/LEVELPACK data/levels/LEVELS

%build
#buggy, have to drop %%{_prefix} from path to datadir to avoid it getting applied at the beginning
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=`echo %{_gamesdatadir}|sed -e "s|%{_prefix}/||g"` \
		--enable-sdl-gfx
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std} datadir=%{_gamesdatadir}
install -m644 data/levels/*.png %{buildroot}%_gamesdatadir/%name/levels/
%find_lang %{name}

#Menu items
install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="Luola"\
		  longtitle="%{Summary}"
EOF
#Icons
install -d $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert -size 32x32 %{name}.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -size 48x48 %{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -size 16x16 %{name}.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Apr 11 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.2.7-1mdk
- 1.2.7

* Mon Jan 17 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-1mdk
- 1.2.6

* Sun Jan 02 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.5-1mdk
- 1.2.5
- drop packager tag
- change icons

* Mon Dec 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3

* Sun Dec 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2

* Sat Dec 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Mon Aug 04 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.0-1mdk
- 1.2.0

* Fri Jul 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.1.7-2mdk
- rebuild
- use %%{_gamesdatadir}
- change summary macro to avoid possible conflicts if we were to build debug package

* Mon Jun 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.7-1mdk
- 1.1.7

* Fri Jun 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.6-1mdk
- 1.1.6

* Tue Jun 03 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.1.5-2mdk
- use %%configure2_5x macro

* Tue Jun 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-1mdk
- 1.1.5

* Fri Apr 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-1mdk
- 1.1.0

* Fri Dec 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Mon Dec 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Mon Nov 11 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 0.9.9-1mdk
- 0.9.9
- Move stuff to correct places
- Add levels(they were split from the sourcecode package in 0.9.9)
- Updated description(we don't live in Finland, now do we?;)
- Add menuitem
- Add icons
- Updated build stage

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-4mdk
- rebuild

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-3mdk
- recompile against new vorbis stuff

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-2mdk
- rebuild for new alsa

* Thu Mar 14 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-1mdk
- first mdk package
